DefaultComponentManager (Avalon Framework 4.1.5 API)
Keywords: org.apache.avalon.framework.component.DefaultComponentManager class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.avalon.framework.component
Class DefaultComponentManager

    java.lang.Object
      org.apache.avalon.framework.component.DefaultComponentManager

All Implemented Interfaces:
  ComponentManager

public class DefaultComponentManager
extends Object
implements ComponentManager

This class is a static implementation of a ComponentManager. Allow ineritance and extension so you can generate a tree of ComponentManager each defining Component scope.

Deprecated: Use `DefaultServiceManager` instead.

Version:
  CVS $Revision: 1.24 $ $Date: 2003/02/11 15:58:38 $
Author:
  Avalon Development Team

Constructor Summary
`DefaultComponentManager()` Construct ComponentManager with no parent.
`DefaultComponentManager(ComponentManager parent)` Construct ComponentManager with specified parent.

Method Summary
`protected void` | `checkWriteable()` Check if this component m_manager is writeable.
`protected Map` | `getComponentMap()` Helper method for subclasses to retrieve component map.
`protected ComponentManager` | `getParent()` Helper method for subclasses to retrieve parent.
`boolean` | `hasComponent(String key)` Returns `true` if the component m_manager is managing a component with the specified key, `false` otherwise.
`Component` | `lookup(String key)` Retrieve Component by key from ComponentManager.
`void` | `makeReadOnly()` Make this component m_manager read only.
`void` | `put(String key, Component component)` Place Component into ComponentManager.
`void` | `release(Component component)` Release component.
`String` | `toString()` Build a human readable representation of ComponentManager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultComponentManager

    public DefaultComponentManager()

  Construct ComponentManager with no parent.

### DefaultComponentManager

    public DefaultComponentManager(ComponentManager parent)

  Construct ComponentManager with specified parent.

Parameters:
  `parent` - the ComponentManagers parent

Method Detail

### lookup

    public Component lookup(String key)
                     throws ComponentException

  Retrieve Component by key from ComponentManager.

  Specified by:
    `lookup` in interface `ComponentManager`
  Parameters:
    `key` - the key
  Returns:
    the Component
  Throws:
    `ComponentException` - if an error occurs

### hasComponent

    public boolean hasComponent(String key)

  Returns `true` if the component m_manager is managing a component with the specified key, `false` otherwise.

  Specified by:
    `hasComponent` in interface `ComponentManager`
  Parameters:
    `key` - key of the component you are lokking for
  Returns:
    `true` if the component m_manager has a component with that key

### put

    public void put(String key,
                    Component component)

  Place Component into ComponentManager.

  Parameters:
    `key` - the components key
    `component` - the component

### release

    public void release(Component component)

  Release component.

  Specified by:
    `release` in interface `ComponentManager`
  Parameters:
    `component` - the component

### toString

    public String toString()

  Build a human readable representation of ComponentManager.

  Returns:
    the description of ComponentManager

### getParent

    protected final ComponentManager getParent()

  Helper method for subclasses to retrieve parent.

  Returns:
    the parent ComponentManager

### getComponentMap

    protected final Map getComponentMap()

  Helper method for subclasses to retrieve component map.

  Returns:
    the component map

### makeReadOnly

    public void makeReadOnly()

  Make this component m_manager read only.

### checkWriteable

    protected final void checkWriteable()
                                 throws IllegalStateException

  Check if this component m_manager is writeable.

  Throws:
    `IllegalStateException` - if this component m_manager is read-only

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Apache Software Foundation. All Rights Reserved.